## org.apache.xerces.xs
Interface StringList

public interface StringList

The `StringList` is an immutable ordered collection of `GenericString`.

Method Summary
`boolean` `contains(java.lang.String item)` Checks if the `GenericString` `item` is a member of this list.
`int` `getLength()` The number of `GenericString`s in the list.
`java.lang.String` `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Method Detail

### getLength

    public int getLength()

  The number of `GenericString`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    public boolean contains(java.lang.String item)

  Checks if the `GenericString` `item` is a member of this list.
  Parameters:
    `item` - `GenericString` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `GenericString` `item`.

### item

    public java.lang.String item(int index)

  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `GenericString` at the `index`th position in the `StringList`, or `null` if the index specified is not valid.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.